from datetime import timedelta

import pytest

from benevalibre.base.tables import format_duration


class TestFormatDuration:
    @pytest.mark.parametrize(
        'secs,expected',
        [
            (1, ''),
            (10, ''),
            (100, '1 minute'),
            (1000, '16 minutes'),
            (7200, '2 heures'),
            (10000, '2 heures et 46 minutes'),
            (86400, '1 jour'),
            (86460, '1 jour et 1 minute'),
            (93600, '1 jour et 2 heures'),
            (100000, '1 jour, 3 heures et 46 minutes'),
            (1000000, '11 jours, 13 heures et 46 minutes'),
        ],
    )
    def test_format_duration(self, secs, expected):
        days = secs // 86400
        secs = secs % 86400
        assert format_duration(timedelta(days, secs)) == expected
