# Generated by Django 2.2.1 on 2019-05-24 14:24

from django.db import migrations

def create_instance_category(apps, schema_editor):
    I = apps.get_model('instance', 'InstanceCategory')
    U = apps.get_model('accounts', 'User')
    # build instance_category
    [
            I.objects.get_or_create(name=n) for n in [
                'Participation aux organes dirigeants de l’association (CA, bureau ou autres organes)',
                'Tâches de bureau, administratives, de gestion, de comptabilité',
                'Supervision ou organisation d’événements (spectacles, campagnes, autres manifestations....), participation à leur réalisation',
                'Entraînement, encadrement ou animation d’activités',
                'Assurer des services de conseil, rechercher ou donner des informations, des renseignements',
                'Dispenser un enseignement ou une formation',
                'Participation à la recherche de fonds, collecte de fonds',
                'Collecte, transport et distribution de biens (nourriture, vêtements...)',
                'Accueil, accompagnement de personnes, visites à domicile, écoute téléphonique',
                'Tâches d’entretien, réparation, maintenance (y compris informatique) ou autres tâches techniques',
                'Communication à destination du public et représentation de l’association auprès de l’extérieur (partenaires, pouvoirs publics...)',
                'Autres activités',
            ]
    ]

def create_default_category(apps, schema_editor):
    IC = apps.get_model('instance', 'InstanceCategory')
    DC = apps.get_model('instance', 'DefaultCategory')
    [
            DC.objects.create(
                name=values['name'],
                description=values['description'],
                instance_category_id=values['id'],
            )
            for values in IC.objects.all().values(
                'id', 'name', 'description',
        )
    ]


class Migration(migrations.Migration):

    dependencies = [
        ('accounts', '0001_initial'),
        ('instance', '0001_initial'),
    ]

    operations = [
            migrations.RunPython(create_instance_category),
            migrations.RunPython(create_default_category),
    ]
